Name:		gnome-applets-file-browser
%define progname file-browser-applet
Version:	0.6.1
Release:	alt1
Summary:	File Browser Applet for the GNOME Panel
Summary(ru_RU.KOI8-R): -    GNOME
Group:		Graphical desktop/GNOME
License:	GPLv2+
URL:		http://code.google.com/p/gnome-menu-file-browser-applet/
Source0:	http://gnome-menu-file-browser-applet.googlecode.com/files/%progname-%version.tar.gz

BuildRequires:	cmake >= 2.4.7 libglade2-devel libgnome-panel-devel libgtkhotkey-devel
BuildRequires(pre): libGConf-devel
Requires(pre):	GConf2
Requires(post):	GConf2
Requires(preun):GConf2

%description
File Browser Applet is an applet for the GNOME Panel. It lets you browse
and open files in your home directory from the gnome panel, without having to
open a file manager. It is _not_ intended as replacement to proper file
managers like nautilus. Sometimes you (like me) just want to open a file and
don't want to have to open a file manager, browse to and open the file, then
close the file manager. This Applet just saves you couple of clicks.

%description -l ru_RU.KOI8-R
    GNOME,       
     GNOME   
 .   __    ,
  .     ,    
  ,      .
         .

%prep
%setup -q -n %progname-%version

%build
export CFLAGS="%optflags"
export CXXFLAGS="%optflags"
export FFLAGS="%optflags"
cmake	-DCMAKE_INSTALL_PREFIX=%_prefix			\
	-DCMAKE_INSTALL_LIB_PREFIX=%_libdir		\
	-DCMAKE_INSTALL_LIB_EXEC_DIR=%_libexecdir	\
	-DCMAKE_INSTALL_GCONF_SCHEMA_DIR=%_sysconfdir/gconf/schemas .
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%post
%gconf2_install %progname

%preun
if [ "$1" -eq 0 ]; then
	%gconf2_uninstall %progname
fi

%files
%doc COPYING HISTORY README
%_libdir/bonobo/servers/GNOME_FileBrowserApplet_Factory.server
%_libexecdir/file-browser-applet
%_datadir/file-browser-applet/
%_iconsdir/hicolor/128x128/apps/file-browser-applet.png
%_pixmapsdir/file-browser-applet.png
%_sysconfdir/gconf/schemas/file-browser-applet.schemas

%changelog
* Wed Mar 25 2009 Yury Aliaev <mutabor@altlinux.org> 0.6.1-alt1
- First build for Sisyphus based on Fedora spec

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Deji Akingunola <dakingun@gmail.com> - 0.6.1-1
- Update to 0.6.1

* Wed Feb 04 2009 Deji Akingunola <dakingun@gmail.com> - 0.6.0-2
- Include missing header

* Thu Nov 20 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.0-1
- New upstream version

* Mon Sep 22 2008 Deji Akingunola <dakingun@gmail.com> - 0.5.9-1
- New upstream version

* Sat Aug 30 2008 Deji Akingunola <dakingun@gmail.com> - 0.5.8-1
- Update to 0.5.8

* Thu Jun 05 2008 Caolán McNamara <caolanm@redhat.com> - 0.5.6-3
- rebuild for dependancies

* Mon May 26 2008 Deji Akingunola <dakingun@gmail.com> - 0.5.6-2
- Fixes arising from Fedora Packaging review (#446160)

* Wed Mar 19 2008 Deji Akingunola <dakingun@gmail.com> - 0.5.6-1
- Initial packaging for Fedora
